# Instalace Elasticsearch pro Mastodon

Tento repozitář obsahuje instrukce a konfigurace pro instalaci a nastavení Elasticsearch serveru, který je určen pro použití s Mastodon instancí na serveru Ubuntu 22.04.

## Požadavky

- Ubuntu 22.04
- OpenJDK 11

## Instalace Elasticsearch

1. **Aktualizace systému**
   ```bash
   sudo apt update
   ```


2. Instalace OpenJDK 11
    
    ```bash
    sudo apt install openjdk-11-jre
    ```
   
3. Přidání Elasticsearch repozitáře

    ```bash
    wget -qO - https://artifacts.elastic.co/GPG-KEY-elasticsearch | sudo apt-    key add -
    sudo sh -c 'echo "deb https://artifacts.elastic.co/packages/7.x/apt          stable main" > /etc/apt/sources.list.d/elastic-7.x.list'
    sudo apt update
    ```
    
4. Instalace Elasticsearch

    ```bash
    sudo apt install elasticsearch
    ```
    ¨
5. Zapnutí a spuštění služby Elasticsearch

    ```bash
    sudo service elasticsearch start
    sudo systemctl enable elasticsearch
    ```

## Nastavení bezpečnosti

1. Konfigurace firewallu
Povolte přístup pouze z IP adresy serveru s Mastodon instancí:

    ```bash
    sudo ufw allow from <IP_adresa_Mastodon_serveru> to any port 9200
    ```
    
2. Autentikace uživatelů
Přidejte uživatele a nastavte role pro zabezpečení přístupu.


